Subject: [bug#60793] [PATCH] gnu: Add julia-cfitsio-jll.

From: Sharlatan Hellseher <[email-masked]>
Date: Sun, 29 Jan 2023 22:26:59 +0000

Hi Simon,

I've prepared the full series of patches which include
julia-cfitsio-jll -> julia-cfitsio -> julia-fitsio.
All of the them put in alphabetical order, passed lint and build on
x86_64 hardware.

On Tue, 17 Jan 2023 at 08:39, Simon Tournier <[email-masked]> wrote:
>
> Hi,
>
> On Mon, 16 Jan 2023 at 20:36, Sharlatan Hellseher <[email-masked]> wrote:
>
> > Yes it's a long journey to bring Julia's Astronomical projects to
> > Guix.
>
> Cool!  Thank you for this effort.
>
>
> > I've got a question on how to group Julia packages related just to
> > Astronomy. gnu/packages/astronomy.scm contains python bindings to cfitsio,
> > wcs and erfa would I follow the same pass and add Julia packages next to
> > them?
>
> Well, I think all Julia packages should go to gnu/packages/julia-xyz.scm
> with the prefix ’julia-’ for the symbol and the package name.
>
> If, or when, the Julia packages related to astronomy will be too many,
> then it will be possible to just move them to
> gnu/packages/julia-astronomy.scm.
>
> Last, when writing new Julia packages, please consider some implicit
> conventions in these Julia-related modules:
>
>  + sort alphabetically, package name and inputs,
>
>  + if one test does not pass, please disallow it using something like:
>    ’#~(modify-phases %standard-phases (add-after 'link-depot
>    'skip-failing-test’ (gexp and after link-depot),
>
>  + try set the packages used by the tests under native-inputs.
>
> Cheers,
> simon

-- 

… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.